org.apache.sysds.runtime.matrix.data

## Enum LibMatrixDNN.PoolingType

- java.lang.Object
- - java.lang.Enum<LibMatrixDNN.PoolingType>
  - - org.apache.sysds.runtime.matrix.data.LibMatrixDNN.PoolingType

All Implemented Interfaces:
  Serializable, Comparable<LibMatrixDNN.PoolingType>

Enclosing class:
  LibMatrixDNN

    public static enum LibMatrixDNN.PoolingType
    extends Enum<LibMatrixDNN.PoolingType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AVG`
`MAX`

### Method Summary

All Methods Static Methods Concrete Methods
`static LibMatrixDNN.PoolingType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LibMatrixDNN.PoolingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MAX

    public static final LibMatrixDNN.PoolingType MAX

#### AVG

    public static final LibMatrixDNN.PoolingType AVG

### Method Detail

#### values

    public static LibMatrixDNN.PoolingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LibMatrixDNN.PoolingType c : LibMatrixDNN.PoolingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LibMatrixDNN.PoolingType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null